#
# spec file for package progress
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           progress
Version:        0.17
Release:        1.3
Summary:        Coreutils Viewer
License:        GPL-3.0-or-later
Group:          System/Console
URL:            https://github.com/Xfennec/progress
Source0:        https://github.com/Xfennec/progress/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(form)
BuildRequires:  pkgconfig(formw)
BuildRequires:  pkgconfig(menu)
BuildRequires:  pkgconfig(menuw)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(ncurses++)
BuildRequires:  pkgconfig(ncurses++w)
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(panel)
BuildRequires:  pkgconfig(panelw)
BuildRequires:  pkgconfig(tic)
BuildRequires:  pkgconfig(tinfo)
Provides:       cv = %{version}
Obsoletes:      cv < %{version}

%description
This tool can be described as a Tiny Dirty Linux Only* C command that looks for coreutils basic
commands (cp, mv, dd, tar, gzip/gunzip, cat, ...) currently running on your system and displays
the percentage of copied data.

It can now also display an estimated throughput (using -w flag).

%package zsh-completion
Summary:        ZSH Completion for %{name}
Group:          Development/Tools/Other
Requires:       %{name} = %{version}
%if 0%{?suse_version} == 1315
Supplements:    packageand(progress:zsh)
%else
Supplements:    (progress and zsh)
%endif
BuildArch:      noarch

%description zsh-completion
ZSH command line completion support for %{name}.

%prep
%autosetup

%build
%make_build CFLAGS="-g -Wall -D_FILE_OFFSET_BITS=64 %{optflags}"

%install
%make_install PREFIX=%{_prefix}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{?ext_man}

%files zsh-completion
%{_datadir}/zsh/
%{_datadir}/zsh/site-functions/
%{_datadir}/zsh/site-functions/_progress

%changelog
* Mon Oct 30 2023 Andrea Manzini <andrea.manzini@suse.com>
- Update to 0.17:
  * bump MAX_PIDS and MAX_RESULTS to 128
  * support for zsh completion
- dropped no more needed patch progress-fix_ncurses_without_pkgconfig.patch
- provide separate subpackage for zsh completion
* Mon Apr 26 2021 Paolo Stivanin <info@paolostivanin.com>
- Update to 0.16:
  * fix procstat_getprocs()
  * add support for single binary
  * add scp, zip and unzip
  * add FreeBSD support
* Thu Dec  3 2020 Avindra Goolcharan <avindra@opensuse.org>
- Update to version 0.15
  * fix non-ASCII (Unicode) chars in ncurses
  * fix sprintf build warnings
* Mon Jul  2 2018 avindra@opensuse.org
- Update to version 0.14
  * add support for 7z, 7za, split and gpg
  * add support for .progressrc
  * doc and build fixes
- cleanup with spec-cleaner
* Sat Apr 14 2018 pascal.bleser@opensuse.org
- using master head from git
- add progress-fix_ncurses_without_pkgconfig.patch: fix Makefile to
  build with our ncurses-devel (doesn't have a pkgconfig file)
* Wed Feb  7 2018 avindra@opensuse.org
- simplify a bit with macros
* Sat Oct 28 2017 aavindraa@gmail.com
- Rename from "cv" to "progress"
- Update to 0.13.1
  * For changes, see https://github.com/Xfennec/progress/compare/v0.7.1...v0.13.1
* Fri Jul  1 2016 toddrme2178@gmail.com
- Fix Group tag.
* Fri Jun 26 2015 bugs@vdm-design.de
- Update to version 0.7.1
  * Updated Mac OSX support
* Fri Dec 26 2014 bugs@vdm-design.de
- Update to version 0.6
  * Add support for xz, md5sum, sha1sum, sha256sum, sha224sum,
    sha384sum, sha512sum
  * Added -p support for PID monitoring
* Fri Sep 12 2014 bugs@vdm-design.de
- Update to version 0.5.1
  * cv is now less verbose
- Remove seperate manpage, as it was accepted upstream and is now
  distributet in the source archive.
* Sat Aug 16 2014 bugs@vdm-design.de
- Add LICENSE and README.md to %%doc
* Fri Aug 15 2014 cdenicolo@suse.com
- license update: GPL-3.0+
  or later in GPL-3.0 was missing.
* Thu Aug  7 2014 bugs@vdm-design.de
- Initial packaging of cv version 0.4.1
